---
license: Licensed to the Apache Software Foundation (ASF) under one
         or more contributor license agreements.  See the NOTICE file
         distributed with this work for additional information
         regarding copyright ownership.  The ASF licenses this file
         to you under the Apache License, Version 2.0 (the
         "License"); you may not use this file except in compliance
         with the License.  You may obtain a copy of the License at

           http://www.apache.org/licenses/LICENSE-2.0

         Unless required by applicable law or agreed to in writing,
         software distributed under the License is distributed on an
         "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
         KIND, either express or implied.  See the License for the
         specific language governing permissions and limitations
         under the License.
---

# Plugin APIs

Cordova naves con un mínimo conjunto de APIs, y proyectos añadir qué APIs adicionales que necesitan a través de plugins.

Usted puede buscar a través de todos los plugins existentes usando el [Plugin Registry][1].

 [1]: http://plugins.cordova.io/

El tradicional conjunto de plugins de Córdoba son los siguientes:

*   [Estado de la batería][2]
    
    > Monitorear el estado de la batería del dispositivo.

*   [Cámara][3]
    
    > Capturar una foto con la cámara del dispositivo.

*   [Contactos][4]
    
    > Trabajar con la base de datos de contacto de dispositivos.

*   [Dispositivo][5]
    
    > Reunir información específica del dispositivo.

*   [Movimiento de dispositivo (acelerómetro)][6]
    
    > Puntee en sensor de movimiento del dispositivo.

*   [Orientación de dispositivo (brújula)][7]
    
    > Obtener la dirección que apunta el dispositivo.

*   [Los cuadros de diálogo][8]
    
    > Notificaciones de dispositivo visual.

*   [Sistema de archivos][9]
    
    > Enganche en el sistema de archivo nativo a través de JavaScript.

*   [Transferencia de archivos][10]
    
    > Enganche en el sistema de archivo nativo a través de JavaScript.

*   [Geolocalización][11]
    
    > Conocer la ubicación de su aplicación.

*   [Globalización][12]
    
    > Permiten la representación de objetos específicos de una configuración regional.

*   [InAppBrowser][13]
    
    > Lanzamiento de URLs en otra instancia del explorador en la aplicación.

*   [Los medios de comunicación][14]
    
    > Grabar y reproducir archivos de audio.

*   [Captura de los medios de comunicación][15]
    
    > Capturar archivos de medios usando las aplicaciones de captura de los medios de comunicación del dispositivo.

*   [Información de red (conexión)][16]
    
    > Comprobar rápidamente el estado de la red e información de la red celular.

*   [SplashScreen][17]
    
    > Mostrar / ocultar la pantalla de presentación de solicitudes.

*   [Vibración][18]
    
    > Una API para que vibre el dispositivo.

 [2]: https://github.com/apache/cordova-plugin-battery-status/blob/master/doc/index.md
 [3]: https://github.com/apache/cordova-plugin-camera/blob/master/doc/index.md
 [4]: https://github.com/apache/cordova-plugin-contacts/blob/master/doc/index.md
 [5]: https://github.com/apache/cordova-plugin-device/blob/master/doc/index.md
 [6]: https://github.com/apache/cordova-plugin-device-motion/blob/master/doc/index.md
 [7]: https://github.com/apache/cordova-plugin-device-orientation/blob/master/doc/index.md
 [8]: https://github.com/apache/cordova-plugin-dialogs/blob/master/doc/index.md
 [9]: https://github.com/apache/cordova-plugin-file/blob/master/doc/index.md
 [10]: https://github.com/apache/cordova-plugin-file-transfer/blob/master/doc/index.md
 [11]: https://github.com/apache/cordova-plugin-geolocation/blob/master/doc/index.md
 [12]: https://github.com/apache/cordova-plugin-globalization/blob/master/doc/index.md
 [13]: https://github.com/apache/cordova-plugin-inappbrowser/blob/master/doc/index.md
 [14]: https://github.com/apache/cordova-plugin-media/blob/master/doc/index.md
 [15]: https://github.com/apache/cordova-plugin-media-capture/blob/master/doc/index.md
 [16]: https://github.com/apache/cordova-plugin-network-information/blob/master/doc/index.md
 [17]: https://github.com/apache/cordova-plugin-splashscreen/blob/master/doc/index.md
 [18]: https://github.com/apache/cordova-plugin-vibration/blob/master/doc/index.md

Las traducciones de Inglés de estos documentos plugin pueden encontrarse mirando las versiones más antiguas de la documentación de Córdoba. Utilice el menú desplegable en el muy superior derecha de esta página para cambiar las versiones.
