---

license: Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership. The ASF licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

           http://www.apache.org/licenses/LICENSE-2.0
    
         Unless required by applicable law or agreed to in writing,
         software distributed under the License is distributed on an
         "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
         KIND, either express or implied.  See the License for the
         specific language governing permissions and limitations
         under the License.
    

---

# 개요

코르 도우 바는 오픈 소스 모바일 개발 프레임 워크입니다. 각 모바일 플랫폼의 네이티브 개발 언어를 피하고 크로스 플랫폼 개발을 위한 HTML5, CSS3, 자바 스크립트 등 표준 웹 기술을 사용할 수 있습니다. 응용 프로그램 각 플랫폼을 타겟으로 래퍼 내에서 실행 하 고 표준 API 바인딩을 액세스할 각 장치 센서, 데이터 및 네트워크 상태에 의존.

코르도바를 사용 하 여 있습니다.

*   모바일 개발자 및 다시 각 플랫폼의 언어와 도구를 구현 하지 않고 하나 이상의 플랫폼에서 응용 프로그램을 확장 하려면 원하는 설정 합니다.

*   웹 애플 리 케이 션은 다양 한 애플 리 케이 션에 배포 패키지를 배포 하 고 웹 개발자 포털을 저장 합니다.

*   모바일 개발자는 *WebView* (브라우저 창) 장치 레벨 Api에 액세스할 수 있는 기본 응용 프로그램 구성 요소를 혼합에 관심된 또는 네이티브 및 WebView 구성 요소 간의 인터페이스를 플러그인을 개발 하려는 경우.

## 기본 구성 요소

일반적인 의존 코르도바 응용 프로그램 `config.xml` 파일을 응용 프로그램에 대 한 정보를 제공 하 고에 영향을 미치는 어떻게 작동 하는지, 교대 방향 응답 여부와 같은 매개 변수를 지정 합니다. 이 파일 사양을 준수 하는 W3C의 [웹 응용 프로그램 패키지][1], 또는 *위젯*.

 [1]: http://www.w3.org/TR/widgets/

응용 프로그램 자체 웹 페이지로 구현, *index.html* 어떤 CSS, 자바 스크립트, 이미지, 미디어 파일을 참조 하는 기본적으로 명명 된 또는 다른 리소스는 실행에 필요한. App는 app 상점에 배 부하는 네이티브 응용 프로그램 래퍼 내에서 *WebView* 로 실행 합니다. 다양 한 장치 기능 방식으로 네이티브 애플 리 케이 션과 상호 작용을 웹 응용 프로그램에 대 한 그것은 또한 참조 해야 합니다는 `cordova.js` API 바인딩을 제공 하는 파일.

코르 도우 바 활성화 WebView의 전체 사용자 인터페이스와 응용 프로그램을 제공할 수 있습니다. 또한 네이티브 응용 프로그램 구성 요소와 WebView를 혼합, 하이브리드 응용 프로그램 내에서 구성 요소 수 있습니다. 코르 도우 바 서로 통신 하려면 이러한 구성 요소에 대 한 *플러그인* 인터페이스를 제공 합니다.

## 개발 경로

버전 3.0, 모바일 응용 프로그램을 만드는 두 가지 기본 워크플로 사용할 수 있습니다. 두 워크플로 사용 하 여 같은 일을 수행할 수 있습니다, 하는 동안 특정 작업은 더 나은 다른 하나의 워크플로 사용 하 여 적합 합니다. 이런 이유로 최고의 상황을 위한 최고의 도구를 사용할 수 있도록 두 워크플로 이해 해야 합니다.

지원 되는 두 개의 주요 워크플로 *웹 프로젝트 개발* 워크플로 및 *네이티브 플랫폼 개발* 워크플로.

### 웹 프로젝트 개발

첫 번째 워크플로 *웹 프로젝트 개발* 워크플로로 생각할 수 있습니다. 가능한 작은 플랫폼 관련 개발 작업 가능한 많은 모바일 운영 체제에서 실행 되는 코르도바 응용 프로그램을 만들 때이 워크플로 사용 해야 합니다. 이 워크플로 코르도바 3.0 존재와 코르도바 *명령줄 인터페이스* (CLI)의 창조로 왔다. CLI 당신의 애플 리 케이 션을 구축 관련된 세부 정보를 관리 하는 낮은 수준의 쉘 스크립트의 기능을 많이 추상화, 복사 하는 등 각 모바일 플랫폼에 대 한 올바른 폴더로 웹 자산 플랫폼 특정 구성 변경, 또는 특정 실행 빌드 응용 프로그램 이진 파일을 생성 하는 스크립트. 자세한 *웹 프로젝트 개발* 워크플로 명령줄 인터페이스에 대 한. 종종 사람들이 말할 때 "cli", 그들은이 *웹 프로젝트 개발* 워크플로 대 한 이야기는 note 하시기 바랍니다.

### 네이티브 플랫폼 개발

두 번째 워크플로 *네이티브 플랫폼 개발* 워크플로로 생각할 수 있습니다. 단일 플랫폼에 대 한 응용 프로그램 개발에 집중 하 고 하위 수준의 플랫폼 세부 사항 변화에 관심이 때 사용 해야 합니다. 크로스 플랫폼 애플 리 케이 션을 구축에이 워크플로 사용할 수 있습니다, 하는 동안 다양 한 빌드 단계를 추상화 하는 도구의 부족 더 어렵게 만들 것입니다. 예를 들어, Plugman를 사용 하 여 지원 하고자 하는 각 플랫폼에 한 번씩 같은 플러그인을 설치 해야 합니다. 이 *네이티브 플랫폼 개발* 워크플로 사용 하 여 혜택에 액세스할 수 하위 쉘 스크립트 구축 하 고 테스트 응용 프로그램, 그래서 만약 당신이 사물의 네이티브 측면에서 해킹 하는 그것이,이 워크플로 변경 내용을 테스트 하는 가장 효율적인 방법. 이 워크플로 또한 더 큰 네이티브 응용 프로그램에서 작은 부분으로는 CordovaWebView를 사용 하려는 경우에 적합 (포함 WebViews 가이드를 참조 하십시오.) 다른 셸 도구 가이드, 예를 들어, 안 드 로이드 쉘 도구 가이드 및 iOS 셸 도구 가이드에서에서이 워크플로에 대해 읽을 수 있습니다.

처음 시작, *웹 프로젝트 개발* 워크플로 사용 하 여 응용 프로그램을 만드는 가장 쉬운 수 있습니다. (CLI를 설치 하는 명령줄 인터페이스 참조.) 플랫폼 대상 원하는 설정에 따라 개발 사이클의 진보적으로 더 큰 주식에 대해 CLI에 의존 수 있습니다.

*   가장 기본적인 시나리오에서 간단 하 게 수정할 수 있습니다에 대 한 기본 구성으로 채워지는 새로운 프로젝트를 생성 하려면 CLI를 사용할 수 있습니다.

*   많은 모바일 플랫폼에 대 한 각 SDK에서 컴파일 하는 데 필요한 추가 프로젝트 파일을 설정 하는 CLI를 사용할 수 있습니다. 이 대 한 각 대상된 플랫폼의 SDK를 설치 해야 합니다. (자세한 내용은 플랫폼 가이드를 참조 하십시오.) 플랫폼 지원 표에 표시 된 대상된 플랫폼에 따라 서로 다른 운영 체제에서 CLI를 실행 해야 할 수도 있습니다.

*   플랫폼 지원에 대 한 CLI 실행 응용 프로그램을 컴파일 하 고 SDK 기반 장치 에뮬레이터에서 실행 수 있습니다. 포괄적인 테스트를 위해 응용 프로그램 파일을 생성 하 고 장치에 직접 설치도 수 있습니다.

개발 주기에서 어느 시점에서 더 *네이티브 플랫폼 개발* 워크플로 사용 하 여 전환할 수 있습니다. 제공 하는 플랫폼 SDK 도구 옵션 풍부한 집합을 제공할 수 있습니다. (각 플랫폼 SDK 도구에 대 한 자세한 내용은 플랫폼 가이드 설정을 참조 하십시오.)

SDK 환경 웹 기반 및 기본 응용 프로그램 구성 요소를 혼합 한 하이브리드 애플 리 케이 션을 구현 하려는 경우에 더 적합 하다. 처음 애플 리 케이 션을 생성 하기 위해 명령줄 유틸리티를 사용할 수 있습니다 또는 반복적으로 그 후 SDK 도구 업데이트 코드를 피드를 합니다. 당신은 또한 만들 수 있습니다 응용 프로그램의 구성 파일 자신. (Config.xml 파일에 대 한 자세한 내용은 참조 하십시오.)