---

license: Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership. The ASF licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

           http://www.apache.org/licenses/LICENSE-2.0
    
         Unless required by applicable law or agreed to in writing,
         software distributed under the License is distributed on an
         "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
         KIND, either express or implied.  See the License for the
         specific language governing permissions and limitations
    

   under the License.
---

# Модернизация BlackBerry 10

В этом руководстве показано, как изменить BlackBerry проекты для обновления старых версий Cordova. Большинство этих инструкций применимы для проектов, созданных с старого набора средств командной строки, которые предшествуют `cordova` утилиты CLI. Увидеть интерфейс командной строки для получения информации как обновить версию инфраструктуры CLI.

## Обновление до 3.2.0 3.1.0

Для проектов, которые были созданы с Кордова CLI:

1.  Обновление `cordova` CLI-версия. Увидеть интерфейс командной строки.

2.  Запуск`cordova platform update blackberry`

Для проектов, не созданных с Кордова CLI выполните:

        bin/обновить < project_path >
    

## Обновление до 3.1.0 с 3.0.0

1.  Создайте новый проект Apache Cordova 3.1.0, используя cordova CLI, как описано в интерфейс командной строки.

2.  Добавьте ваш платформ в Кордове проект, например:`cordova
platform add blackberry10`.

3.  Скопируйте содержимое исходного проекта `www` каталог `www` директорию в корне проекта cordova, вы только что создали.

4.  Копирование или перезаписать любые родной активы от вашего первоначального проекта ( `Resources` , и т.д.)

5.  Копия `config.xml` файл `www` каталог и удалите любые определения плагин. Вам нужно изменить настройки здесь, а не в каталоге платформы.

6.  Используйте средство CLI cordova для установки любых плагинов, что вам нужно. Обратите внимание, что CLI обрабатывает все основные API плагинов, так что они могут и должны быть добавлены. Только плагины отмечены 3.0.0 и выше, совместимы с CLI.

7.  Построение и тестирование.

Пожалуйста, обратите внимание, что CLI поддерживает платформу BlackBerry10 исключительно. PlayBook и BBOS, Кордова версии 2.9.0 см и ниже.

## Обновление к CLI (3.0.0) с 2.9.0

1.  Создайте новый проект Apache Cordova 3.0.0 используя cordova CLI, как описано в интерфейс командной строки.

2.  Добавьте ваш платформ в Кордове проект, например:`cordova
platform add blackberry10`.

3.  Скопируйте содержимое оригинального проекта `www` каталог `www` каталог в корневом каталоге проекта cordova, вы только что создали.

4.  Копирование или перезаписать любые родной активы от вашего первоначального проекта ( `Resources` , и т.д.)

5.  Копия `config.xml` файл `www` каталог и удалите любые определения плагин. Вам нужно изменить настройки здесь, а не в каталоге платформы.

6.  Используйте средство CLI cordova для установки любых плагинов, что вам нужно. Обратите внимание, что CLI обрабатывает все основные API плагинов, так что они могут и должны быть добавлены. Только 3.0.0 плагины совместимы с CLI.

7.  Построение и тестирование.

## Проекты модернизации 2.8.0 2.9.0

Для BlackBerry 10:

1.  Скачайте и распакуйте Cordova 2.9.0 Источник постоянного каталог на жестком диске, например`~/Cordova-2.9.0`.

2.  Закройте все запущенные инструментов SDK: Eclipse, Momentics и тому подобное.

3.  Перейдите в каталог, где вы положили загруженных исходных выше, используя unix как терминал: Terminal.app, Баш, Cygwin и т.д.

4.  Создайте новый проект, как описано в BlackBerry утилиты командной строки. Это становится домом обновленный проект.

5.  Скопируйте ваш источник проектов из старого проекта `/www` каталог для нового проекта `/www` каталог.

6.  Обновить ссылку сценарий Кордова в ваш `www/index.html` файл (и любые другие файлы, которые содержат ссылку на сценарий) для указания на новый `cordova.js` файл.

Для BlackberryOS обеспечение/пьес:

1.  Загрузите и извлеките Cordova 2.9.0 Источник постоянного каталог на вашем жестком диске, например для`~/Cordova-2.9.0`.

2.  Закройте все запущенные инструментов SDK: Eclipse, Momentics и тому подобное.

3.  Перейдите в каталог, где вы положили загруженных исходных выше, используя unix как терминал: Terminal.app, Баш, Cygwin и т.д.

4.  Создайте новый проект, как описано в iOS утилиты командной строки. Вам нужен активов от этого нового проекта.

5.  Копия `www/cordova.js` файл из нового проекта в ваш `www` каталог и удалить ваш `www/cordova.js` файл.

6.  Обновить ссылку сценарий Кордова в ваш `www/index.html` файл (и любые другие файлы, которые содержат ссылку на сценарий) для указания на новый `cordova.js` файл.

7.  Копия `native` каталог из нового проекта в существующий проект, перезаписывая старые `native` каталог.

8.  Копия `lib` каталог из нового проекта в существующий проект, перезаписывая старые `lib` каталог.

9.  Копия `cordova` каталог из нового проекта в существующий проект, перезаписывая старые `cordova` каталог.

## Проекты модернизации 2.7.0 2.8.0

BlackBerry 10 использует новый инструмент CLI и управляет основные API как плагины. Инструкции по миграции проекта в новый проект, а не обновление существующего проекта, в связи со сложностью обновления старого проекта. Также обратите внимание, что Кордова js скрипт файл теперь называется «cordova.js» и больше не содержит строку версии.

1.  Скачайте и распакуйте Cordova 2.8.0 Источник постоянного каталог на жестком диске, например`~/Cordova-2.8.0`.

2.  Закройте все запущенные инструментов SDK: Eclipse, Momentics и тому подобное.

3.  Перейдите в каталог, где вы положили загруженных исходных выше, используя unix как терминал: Terminal.app, Баш, Cygwin и т.д.

4.  Создайте новый проект, как описано в BlackBerry утилиты командной строки. Это становится домом обновленный проект.

5.  Скопируйте ваш источник проектов из старого проекта `/www` каталог для нового проекта `/www` каталог.

6.  Обновить ссылку сценарий Кордова в ваш `www/index.html` файл (и любые другие файлы, которые содержат ссылку на сценарий) для указания на новый `cordova.js` файл.

Для BlackberryOS обеспечение/пьес:

1.  Загрузите и извлеките Cordova 2.8.0 Источник постоянного каталог на вашем жестком диске, например для`~/Cordova-2.8.0`.

2.  Закройте все запущенные инструментов SDK: Eclipse, Momentics и тому подобное.

3.  Перейдите в каталог, где вы положили загруженных исходных выше, используя unix как терминал: Terminal.app, Баш, Cygwin и т.д.

4.  Создайте новый проект, как описано в iOS утилиты командной строки. Вам нужен активов от этого нового проекта.

5.  Копия `www/cordova.js` файл из нового проекта в ваш `www` каталог и удалить ваш `www/cordova.js` файл.

6.  Обновите ссылку на сценарий Кордова в ваш `www/index.html` файл (и любые другие файлы, которые содержат ссылку на сценарий) на новый `cordova.js` файл.

7.  Копия `native` каталог из нового проекта в существующий проект, перезаписывая старый `native` каталог.

8.  Копия `lib` каталог из нового проекта в существующий проект, перезаписывая старый `lib` каталог.

9.  Копия `cordova` каталог из нового проекта в существующий проект, перезаписывая старый `cordova` каталог.

## Проекты модернизации 2.6.0 2.7.0

1.  Загрузите и извлеките Cordova 2.7.0 Источник постоянного каталог на вашем жестком диске, например для`~/Cordova-2.7.0`.

2.  Выйти из любой работающей инструментов SDK: затмение, Momentics и тому подобное.

3.  Перейдите в каталог, где вы положили загруженных исходных выше, используя unix как терминал: Terminal.app, Баш, Cygwin, и т.д.

4.  Создайте новый проект, как описано в BlackBerry утилиты командной строки. Вам нужен активов от этого нового проекта.

5.  Копия `www/cordova-2.7.0.js` файл из нового проекта в ваш `www` каталог и удалить ваш `www/cordova-2.6.0.js` файл.

6.  Обновите ссылку на сценарий Кордова в ваш `www/index.html` файл (и любые другие файлы, которые содержат ссылку на сценарий) на новый `cordova-2.7.0.js` файл.

7.  Копия `native` каталог из нового проекта в существующий проект, перезаписывая старые `native` каталог.

8.  Копия `lib` каталог из нового проекта в существующий проект, перезаписывая старые `lib` каталог.

9.  Копия `cordova` каталог из нового проекта в существующий проект, перезаписывая старые `cordova` каталог.

## Обновление до 2.6.0 от 2.5.0

Обновление в каталог загрузки PhoneGap:

Рекомендуется, что вы скачать свежую копию всего каталога.

Однако здесь новые детали, необходимые для частичного обновления:

1.  Обновить файл cordova.blackberry.js в `Phonegap-2.6.0/lib/blackberry/javascript` каталог.

2.  Обновление `ext` , `ext-air` , и `ext-qnx` в `Phonegap-2.6.0/lib/blackberry/framework` каталог.

3.  Обновление `build.xml` файл в `Phonegap-2.6.0/lib/blackberry` каталог.

4.  Обновление `Phonegap-2.6.0/lib/blackberry/bin` каталог.

5.  Обновление `VERSION` файл в `Phonegap-2.6.0/lib/blackberry` каталог.

Обновление в примере / каталог или перенос существующего проекта:

1.  Открыть свой `www/` каталог, который содержит приложение.

2.  Удалить и обновить файл .jar в `ext/` каталог.

3.  Обновить содержимое `ext-air/` каталог.

4.  Обновить содержимое `ext-qnx/` каталог.

5.  Скопируйте новый `cordova-2.6.0.js` в ваш проект.

6.  Обновить ваш HTML, чтобы использовать новый `cordova-2.6.0.js` файл.

## Обновление до 2.5.0 с 2.4.0

Обновление в каталог загрузки PhoneGap:

Рекомендуется, что вы скачать свежую копию всего каталога.

Однако здесь новые детали, необходимые для частичного обновления:

1.  Обновить файл cordova.blackberry.js в `Phonegap-2.5.0/lib/blackberry/javascript` каталог.

2.  Обновление `ext` , `ext-air` , и `ext-qnx` в `Phonegap-2.5.0/lib/blackberry/framework` каталог.

3.  Обновление `build.xml` файл в `Phonegap-2.5.0/lib/blackberry` каталог.

4.  Обновление `Phonegap-2.5.0/lib/blackberry/bin` каталог.

5.  Обновление `VERSION` файл в `Phonegap-2.5.0/lib/blackberry` каталог.

Обновление в примере / каталог или перенос существующего проекта:

1.  Открыть ваш `www/` каталог, который содержит приложение.

2.  Удалить и обновить файл .jar в `ext/` каталог.

3.  Обновить содержимое `ext-air/` каталог.

4.  Обновить содержимое `ext-qnx/` каталог.

5.  Скопируйте новый `cordova-2.5.0.js` в ваш проект.

6.  Обновить ваш HTML, чтобы использовать новый `cordova-2.5.0.js` файл.

## Обновление до 2.4.0 от 2.3.0

Обновление только `www` каталога:

1.  Открыть свой `www/` каталог, который содержит приложение.

2.  Удалить и обновить файл .jar в `ext/` каталог.

3.  Обновить содержимое `ext-air/` каталог.

4.  Скопируйте новый `cordova-2.4.0.js` в ваш проект.
    
    *   Если playbook, а затем обновление .js файл в `playbook/` каталог.
    *   Если BlackBerry 10, затем обновить файл JS в `qnx/` каталог.

5.  Обновить ваш HTML, чтобы использовать новый `cordova-2.4.0.js` файл.

Обновление каталога образцов (например, обновления через инструменты муравей):

1.  Открытые `sample/lib/` каталог.

2.  Обновить файл .jar в `cordova.2.3.0/ext/` каталог.

3.  Обновить содержимое `cordova.2.3.0/ext-air/` каталог.

4.  Обновить содержимое `cordova.2.3.0/ext-qnx/` каталог.

5.  Обновить файл .js в `cordova.2.3.0/javascript/` каталог.

6.  Открытые `sample/lib/` каталог и переименовать `cordova.2.3.0/` Каталог`cordova.2.4.0/`.

7.  Типа `ant blackberry build` или `ant playbook build` для обновления `www/` каталог с обновленный Кордова.

8.  Открытые `www/` каталог и обновить ваш HTML, чтобы использовать новый `cordova-2.4.0.js` файл.

## Обновление до 2.3.0 от 2.2.0

Обновление только `www` Каталог:

1.  Открыть свой `www/` каталог, который содержит приложение.

2.  Удалить и обновить файл .jar в `ext/` каталог.

3.  Обновить содержимое `ext-air/` каталог.

4.  Скопируйте новый `cordova-2.3.0.js` в ваш проект.
    
    *   Если playbook, а затем обновление .js файл в `playbook/` каталог.
    *   Если BlackBerry 10, затем обновить файл JS в `qnx/` каталог.

5.  Обновить ваш HTML, чтобы использовать новый `cordova-2.3.0.js` файл.

Обновление каталога образцов (например, обновления через инструменты муравей):

1.  Открытые `sample/lib/` каталог.

2.  Обновить файл .jar в `cordova.2.2.0/ext/` каталог.

3.  Обновить содержимое `cordova.2.2.0/ext-air/` каталог.

4.  Обновить содержимое `cordova.2.2.0/ext-qnx/` каталог.

5.  Обновить файл .js в `cordova.2.2.0/javascript/` каталог.

6.  Открытые `sample/lib/` каталог и переименовать `cordova.2.2.0/` Каталог`cordova.2.3.0/`.

7.  Типа `ant blackberry build` или `ant playbook build` для обновления `www/` каталог с обновленный Кордова.

8.  Открытые `www/` каталог и обновить ваш HTML, чтобы использовать новый `cordova-2.3.0.js` файл.

## Обновление до 2.2.0 из 2.1.0

Обновление только каталог www:

1.  Открыть свой `www/` каталог, который содержит приложение.

2.  Удалить и обновить файл .jar в `ext/` каталог.

3.  Обновить содержимое `ext-air/` каталог.

4.  Скопируйте новый `cordova-2.2.0.js` в ваш проект.
    
    *   Если playbook, а затем обновление .js файл в `playbook/` каталог.
    *   Если BlackBerry 10, затем обновить файл JS в `qnx/` каталог.

5.  Обновить ваш HTML, чтобы использовать новый `cordova-2.2.0.js` файл.

Обновление каталога образцов (например, обновления через инструменты муравей):

1.  Открытые `sample/lib/` каталог.

2.  Обновить файл .jar в `cordova.2.1.0/ext/` каталог.

3.  Обновить содержимое `cordova.2.1.0/ext-air/` каталог.

4.  Обновить содержимое `cordova.2.1.0/ext-qnx/` каталог.

5.  Обновить файл .js в `cordova.2.1.0/javascript/` каталог.

6.  Открытые `sample/lib/` каталог и переименовать `cordova.2.1.0/` Каталог`cordova.2.2.0/`.

7.  Типа `ant blackberry build` или `ant playbook build` для обновления `www/` каталог с обновленный Кордова.

8.  Открытые `www/` каталог и обновить ваш HTML, чтобы использовать новый `cordova-2.2.0.js` файл.

## Обновление до 2.1.0 с 2.0.0

Обновление только `www` каталога:

1.  Открыть свой `www/` каталог, который содержит приложение.

2.  Удалить и обновить файл .jar в `ext/` каталог.

3.  Обновить содержимое `ext-air/` каталог.

4.  Скопируйте новый `cordova-2.1.0.js` в ваш проект.
    
    *   Если playbook, а затем обновление .js файл в `playbook/` каталог.

5.  Обновить ваш HTML, чтобы использовать новый `cordova-2.1.0.js` файл.

Обновление каталога образцов (например, обновления через инструменты муравей):

1.  Открытые `sample/lib/` каталог.

2.  Обновить файл .jar в `cordova.2.0.0/ext/` каталог.

3.  Обновить содержимое `cordova.2.0.0/ext-air/` каталог.

4.  Обновить файл .js в `cordova.2.0.0/javascript/` каталог.

5.  Открытые `sample/lib/` каталог и переименовать `cordova.2.0.0/` Каталог`cordova.2.1.0/`.

6.  Типа `ant blackberry build` или `ant playbook build` для обновления `www/` каталог с обновленный Кордова.

7.  Открытые `www/` каталог и обновить ваш HTML, чтобы использовать новый `cordova-2.1.0.js` файл.

## Обновление до 2.0.0 от 1.9.0

Обновление только `www` каталога:

1.  Открыть свой `www/` каталог, который содержит приложение.

2.  Удалить и обновить файл .jar в `ext/` каталог.

3.  Обновить содержимое `ext-air/` каталог.

4.  Скопируйте новый `cordova-2.0.0.js` в ваш проект.
    
    *   Если playbook, а затем обновление .js файл в `playbook/` каталог.

5.  Обновить ваш HTML, чтобы использовать новый `cordova-2.0.0.js` файл.

6.  Обновление ваш `www/plugins.xml` файл. Два плагины изменил их лейблом служба имен. Измените старые записи для захвата и контакт плагинов от:
    
        < имя плагина = «Захват» value="org.apache.cordova.media.MediaCapture"/ >< плагин имя = «Контакт» value="org.apache.cordova.pim.Contact"/ >
        
    Кому:
    
        < имя плагина = «Захват» value="org.apache.cordova.capture.MediaCapture"/ >< плагин имя «Контакты» value="org.apache.cordova.pim.Contact"/ = >
        

Обновление каталога образцов (например, обновления через инструменты муравей):

1.  Открытые `sample/lib/` каталог.

2.  Обновить файл .jar в `cordova.1.9.0/ext/` каталог.

3.  Обновить содержимое `cordova.1.9.0/ext-air/` каталог.

4.  Обновить файл .js в `cordova.1.9.0/javascript/` каталог.

5.  Открытые `sample/lib/` каталог и переименовать `cordova.1.9.0/` Каталог`cordova.2.0.0/`.

6.  Типа `ant blackberry build` или `ant playbook build` для обновления `www/` каталог с обновленный Кордова.

7.  Открытые `www/` каталог и обновить ваш HTML, чтобы использовать новый `cordova-2.0.0.js` файл.

8.  Открытые `www/` каталог и обновление `plugins.xml` файл. Два плагины изменил их лейблом служба имен. Измените старые записи для захвата и контакт плагинов от:
    
         <plugin name="Capture" value="org.apache.cordova.media.MediaCapture"/>
         <plugin name="Contact" value="org.apache.cordova.pim.Contact"/>
        
    Кому:
    
         <plugin name="Capture" value="org.apache.cordova.capture.MediaCapture"/>
         <plugin name="Contacts" value="org.apache.cordova.pim.Contact"/>
        

*   Чтобы обновить до 1.8.0, пожалуйста идет от 1.7.0

## Обновление до 1.8.0 от 1.7.0

Обновление только `www` Каталог:

1.  Открыть свой `www/` каталог, который содержит приложение.

2.  Удалить и обновить файл .jar в `ext/` каталог.

3.  Обновить содержимое `ext-air/` каталог.

4.  Скопируйте новый `cordova-1.8.0.js` в ваш проект.
    
    *   Если playbook, а затем обновление .js файл в `playbook/` каталог.

5.  Обновить ваш HTML, чтобы использовать новый `cordova-1.8.0.js` файл.

6.  Обновление ваш `www/plugins.xml` файл. Два плагины изменил их лейблом служба имен. Измените старые записи для захвата и контакт плагинов от:
    
        < имя плагина = «Захват» value="org.apache.cordova.media.MediaCapture"/ >< плагин имя = «Контакт» value="org.apache.cordova.pim.Contact"/ >
        
    Кому:
    
        < имя плагина = «Захват» value="org.apache.cordova.capture.MediaCapture"/ >< плагин имя «Контакты» value="org.apache.cordova.pim.Contact"/ = >
        

Обновление каталога образцов (например, обновления через ant tools):

1.  Открытые `sample/lib/` каталог.

2.  Обновить файл .jar в `cordova.1.7.0/ext/` каталог.

3.  Обновить содержимое `cordova.1.7.0/ext-air/` каталог.

4.  Обновить файл .js в `cordova.1.7.0/javascript/` каталог.

5.  Открытые `sample/lib/` каталог и переименовать `cordova.1.7.0/` Каталог`cordova.1.8.0/`.

6.  Типа `ant blackberry build` или `ant playbook build` для обновления `www/` каталог с обновленный Кордова.

7.  Открытые `www/` каталог и обновить ваш HTML, чтобы использовать новый `cordova-1.8.0.js` файл.

8.  Открытые `www/` каталог и обновление `plugins.xml` файл. Два плагины изменил их лейблом служба имен. Измените старые записи для захвата и контакт плагинов от:
    
         <plugin name="Capture" value="org.apache.cordova.media.MediaCapture"/>
         <plugin name="Contact" value="org.apache.cordova.pim.Contact"/>
        
    Кому:
    
         <plugin name="Capture" value="org.apache.cordova.capture.MediaCapture"/>
         <plugin name="Contacts" value="org.apache.cordova.pim.Contact"/>