---
license: Licensed to the Apache Software Foundation (ASF) under one
         or more contributor license agreements.  See the NOTICE file
         distributed with this work for additional information
         regarding copyright ownership.  The ASF licenses this file
         to you under the Apache License, Version 2.0 (the
         "License"); you may not use this file except in compliance
         with the License.  You may obtain a copy of the License at

           http://www.apache.org/licenses/LICENSE-2.0

         Unless required by applicable law or agreed to in writing,
         software distributed under the License is distributed on an
         "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
         KIND, either express or implied.  See the License for the
         specific language governing permissions and limitations
         under the License.
---

# Руководство для платформы Amazon Fire OS

В этом руководстве показано, как настроить среду разработки SDK для развертывания приложений Cordova на устройства Amazon Fire ОС, такие как Kindle Fire HDX.

Смотрите ниже для более подробной информации конкретной платформы:

*   Настройка Amazon Fire OS
*   WebView в Amazon Fire OS
*   Плагины для Amazon Fire OS

## Введение

По ориентации платформы Amazon Fire OS, Кордова разработчики могут создавать гибридные веб-приложения, использующие преимущества передовых веб двигателя интегрированы устройства Kindle Fire. Amazon WebView API (AWV) является средой выполнения производных хрома веб эксклюзивные огонь ОС. Дроп-ин замены WebView, который поставляется с Android-устройств, AWV делает возможным для создания лучшего выполнения и более мощные гибридных веб-приложений, предоставляя поддержку для более быстрый движок JavaScript (V8), удаленной отладки и оптимизации аппаратного обеспечения для устройств Kindle Fire, включая ускоренной 2D холст, и доступ к HTML5 функций, не поддерживаемых Android построен в WebView, такие как: Calc CSS, формы проверки, getUserMedia, IndexedDB, рабочих веб-процессов, WebSockets и WebGL.

Дополнительные сведения об интерфейсе API WebView Амазонки смотрите Амазонки портал разработчика [страницы HTML5 гибридных приложений][1]. Для вопросов о получении работы и другие вопросы поддержки, пожалуйста, смотрите на портал разработчика Амазонки [форумы - гибридных приложений HTML5][2].

 [1]: https://developer.amazon.com/public/solutions/platforms/android-fireos/docs/building-and-testing-your-hybrid-app
 [2]: http://forums.developer.amazon.com/forums/category.jspa?categoryID=41

## Требования и поддержка

Разработка приложений Cordova для Amazon Fire ОС требует установки различных файлов поддержки, включая все необходимое для разработки Android, а также Amazon WebView SDK. Проверьте список ниже для требуемых установок:

*   Интерфейс командной строки
*   [Android SDK][3]
*   [Apache Ant][4]
*   [Amazon WebView SDK][1]

 [3]: http://developer.android.com/sdk/
 [4]: http://ant.apache.org

## Установка

### Android SDK и Apache Ant

Установите Android SDK с сайта [developer.android.com/sdk][3]. Вам может быть представлен выбор куда установить SDK, в противном случае переместить загруженный каталог `adt-bundle`, туда где вы храните средства разработки.

Вам нужно запустить Android SDK Manager ( `android` из командной строки) по крайней мере один раз перед началом проекта Кордова. Убедитесь в том установить самую последнюю версию Android SDK инструменты и SDK платформы **специально API уровня 19**. Пожалуйста, смотрите [настройки вашей среды разработки][5] на портале разработчика Амазонки для получения дополнительных сведений о настройке среды разработки для устройств Kindle Fire OS.

 [5]: https://developer.amazon.com/public/resources/development-tools/ide-tools/tech-docs/01-setting-up-your-development-environment

Установка Apache Ant построить инструмент [загрузки бинарного дистрибутива муравей][6], распаковки в директорию, в которую можно обратиться позднее. Смотрите [муравей руководство][7] для получения дополнительной информации.

 [6]: http://ant.apache.org/bindownload.cgi
 [7]: http://ant.apache.org/manual/index.html

Для Кордова средства командной строки для работы, вам необходимо включить Android SDK `tools` , `platform-tools` и `apache-ant/bin` каталогов в среде PATH.

#### Путь Mac/Linux

На Mac, Linux или других Unix подобных платформах, вы можете использовать текстовый редактор для создания или изменения `~/.bash_profile` файл, добавив строку, например, в зависимости от того, где установлен пакет SDK и муравей:

    экспорт путь = ${путь}: / развития/АТД Комплект/sdk/платформы tools: / развития/АТД Комплект/sdk/инструменты: / развитие/apache муравей/bin
    

Это предоставляет доступ к средствам SDK во вновь открытом терминале Windows. В противном случае выполните нижеуказанную команду, чтобы сделать изменения доступными в текущем сеансе:

    $ source ~/.bash_profile
    

#### Путь к каталогу Windows

Чтобы изменить путь среды на Windows:

*   Нажмите на меню " **Пуск** " в левом нижнем углу рабочего стола, щелкните правой кнопкой мыши на **Мой комьютер**, а затем нажмите кнопку **Свойства**.

*   Нажмите кнопку **Дополнительные параметры системы** в столбце слева.

*   В открывшемся диалоговом нажмите **Переменные среды**.

*   Выберите переменную **PATH** и нажмите **редактировать**.

*   Добавьте следующее в путь, основанный на где вы установили SDK и муравей, например:
    
        ;C:\Development\adt-bundle\sdk\platform-tools;C:\Development\adt-bundle\sdk\tools;C:\Development\apache-ant\bin
        

*   Сохраните значение и закройте оба диалоговые окна.

*   Вам также нужно будет включить Java. Откройте командную строку и введите `java` , если она не запущена, добавить местоположение двоичных файлов Java в ваш путь также. Убедитесь, что JAVA_HOME % указывает установленный каталог JDK. Возможно, вам придется добавить среды JAVA_HOME переменной отдельно.
    
        ; %JAVA_HOME%\bin
        

### Amazon WebView SDK

Для создания приложений Cordova целевой платформы Amazon Fire ОС, вам нужно скачать, распаковать и установить файлы поддержки Amazon WebView SDK. Этот шаг нужно будет только сделать для вашего первого проекта Amazon Fire OS.

*   Скачать Амазонка WebView SDK от [Amazon разработчик портала][1].

*   Копия `awv_interface.jar` из загруженного пакета SDK Кордова в рабочий каталог. Создайте папку commonlibs(shown below), если он не существует:
    
    **Mac/Linux:** `~/.cordova/lib/commonlibs/`
    
    **Windows:** `%USERPROFILE%\.cordova\lib\commonlibs`

## Создайте новый проект для Amazon Fire ОС

Используйте утилиту `cordova` для настройки нового проекта, как описано в разделе "Интерфейс командной строки Cordova". Например выполните в каталоге исходного кода:

    $ cordova create hello com.example.hello "HelloWorld"
    $ cd hello
    $ cordova platform add amazon-fireos
    $ cordova build
    

***Примечание:*** В первый раз Амазонки fireos платформа установлена на вашей системе, он загрузит соответствующие файлы в рабочий каталог Cordova, но будет потом не как не хватает файлов поддержки AWV SDK (см. выше). Следуйте приведенным выше инструкциям, чтобы установить `awv_interface.jar` , затем удалить и повторно добавить Амазонки fireos платформа для вашего проекта. Этот шаг нужно будет только сделать для первого проекта Amazon Fire OS.

## Развертывание на устройство

Для публикации приложение непосредственно на устройство, убедитесь, что включена отладка USB на вашем устройстве, как описано на [сайте разработчика Android][8] и используя кабель мини-USB, подключите устройство к вашей системе.

 [8]: http://developer.android.com/tools/device.html

Вы можете опубликовать приложение на устройство из командной строки:

    $ cordova запускать Амазонки fireos
    

Альтернативно в Eclipse, щелкните правой кнопкой мыши проект и выберите **выполнить как → приложения для Android**.

**Примечание**: в настоящее время тестирование через эмулятор не поддерживается для Amazon WebView на основе приложения, дополнительно Амазонки WebView API доступна только на огонь OS устройств. Для получения дополнительной информации смотрите в документации [SDK API WebView Амазонки][1] .

### Запуск флаги

Команда run принимает необязательные параметры, как указано в документе Cordova интерфейс командной строки, огонь OS также принимает дополнительные `--debug` флаг, который позволит хрома в инструменты разработчика для отладки удаленного веб.

Чтобы использовать средства разработчика, введите:

    $ cordova run --debug amazon-fireos
    

Это даст возможность средства на запуск клиента. Вы можете подключиться к клиенту по переадресации портов с помощью Android Debug Bridge (АБР) ссылаясь на имя пакета приложения.

Например:

    АБР вперед tcp:9222 localabstract:com.example.helloworld.devtools
    

Затем можно использовать DevTools через браузер на основе Chromium, перейдя на:`http://localhost:9222`.

### Опциональная поддержка Eclipse

После создания, можно использовать Eclipse, которая приходит вместе с Android SDK, чтобы изменить проект. Помните, что изменения, сделанные через Eclipse будут перезаписаны, если вы продолжаете использовать инструменты командной строки Кордова.

*   Запустите приложение **Eclipse** .

*   Выберите пункт меню **Создать проект** .

*   Выберите **Android-проект из существующего кода** из диалогового окна полученный и нажмите **Далее**: ![][9]

*   Перейдите к `hello` , или какой был создан каталог для проекта, затем в подкаталог `platforms/amazon-fireos`.

*   Затмение покажет вам привет и Привет CorddovaLib - 2 проектов для добавления. Добавьте оба.

*   Нажмите кнопку **Готово**.

 [9]: img/guide/platforms/android/eclipse_new_project.png

После того, как откроется окно Eclipse, красный **X** может показаться, указывая на нерешенные проблемы. Если это так, выполните следующие дополнительные действия:

*   Щелкните правой кнопкой мыши на папке проекта.

*   В результате диалоговом окне **Свойства** выберите **Android** из области переходов.

*   Для целевого объекта build проекта выберите самый высокий уровень Android API (в настоящее время API уровня 19) у вас установлена.

*   Нажмите **кнопку ОК**.

*   Выберите **Очистить** из меню **Проект** . Это должно исправить все ошибки в проекте.